#
# spec file for package perl-Try-Tiny
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Try-Tiny
Version:        0.09
Release:        1.pm.13.1
License:        MIT
%define cpan_name Try-Tiny
Summary:        minimal try/catch with proper localization of $@
Url:            http://search.cpan.org/dist/Try-Tiny/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/D/DO/DOY/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module provides bare bones 'try'/'catch'/'finally' statements that are
designed to minimize common mistakes with eval blocks, and NOTHING else.

This is unlike the TryCatch manpage which provides a nice syntax and avoids
adding another call stack layer, and supports calling 'return' from the try
block to return from the parent subroutine. These extra features come at a
cost of a few dependencies, namely the Devel::Declare manpage and the
Scope::Upper manpage which are occasionally problematic, and the additional
catch filtering uses the Moose manpage type constraints which may not be
desirable either.

The main focus of this module is to provide simple and reliable error
handling for those having a hard time installing the TryCatch manpage, but
who still want to write correct 'eval' blocks without 5 lines of
boilerplate each time.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Tue May 17 2011 coolo@opensuse.org
- updated to 0.09
  - don't index Try::Tiny::ScopeGuard
  - fix require vs use issue in blead (RT63410)
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Nov 11 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fixed deps
  o fix License
- noarch pkg
* Mon Nov  1 2010 pascal.bleser@opensuse.org
- update to 0.07:
  * allow multiple finally blocks
  * pass the error, if any, to finally blocks when called
- changes from 0.05:
  * documentation fixes and clarifications
* Mon Jan 25 2010 lars@linux-schulserver.de
- update to 0.04:
  + Restore list context propagation for catch blocks
  + Fix a bug where finally blocks weren't always invoked
  + More documentation and tests (many people)
  + Sets $@ to the previous value at the beginning of the eval, to
    allow the capture of an error stack when calling die.
* Sat Dec 26 2009 lars@linux-schulserver.de
- initial version 0.02
